% define parameters
workingPathTE = 'C:\MatVLF\MultipleConfigExample\TE\';
workingPathTM = 'C:\MatVLF\MultipleConfigExample\TM\';
inputVariables = {'Rectangular Grating\Modulation Depth'}; % 'Optical Setup Element Name\ShortName'
% define varying range
gratingDepthMax = 10e-6; % given in meters
gratingDepthMin = 0.1e-6; % given in meters
stepNumber = 100;
stepSize = (gratingDepthMax - gratingDepthMin) / (stepNumber - 1);
efficienciesTE = zeros(1, stepNumber);
efficienciesTM = zeros(1, stepNumber);
efficiencyAVG = zeros(1, stepNumber);
% loop for input variables
for i = 1:stepNumber
    % current value of variable
    gratingDepth = gratingDepthMin +  (i-1) * stepSize;
    % call function
    minusFirstEfficiencyTE = VLFBatchEvaluation_SingleOutput(workingPathTE, inputVariables, gratingDepth);
    minusFirstEfficiencyTM = VLFBatchEvaluation_SingleOutput(workingPathTM, inputVariables, gratingDepth);
    efficienciesTE(i) = minusFirstEfficiencyTE;
    efficienciesTM(i) = minusFirstEfficiencyTM;
    efficiencyAVG(i) = 0.5 * (minusFirstEfficiencyTE + minusFirstEfficiencyTM);
end
% plot the results
x = gratingDepthMin : stepSize : gratingDepthMax;
plot(x, efficienciesTE, x, efficienciesTM, x, efficiencyAVG)


