% define parameters
workingPath = 'C:\MatVLF\SingleSetupExample\';
inputVariables = {'Rectangular Grating\Modulation Depth', 'Rectangular Grating\Relative Slit Width'}; % 'Optical Setup Element Name\ShortName'
% define varying range
gratingDepthMax = 10e-6; % given in meters
gratingDepthMin = 0.1-6; % given in meters
stepNumberDepth = 25;
stepSizeDepth = (gratingDepthMax - gratingDepthMin) / (stepNumberDepth - 1);
slitWidthMax = 80; % given in %
slitWidthMin = 20; % given in %
stepNumberSlit = 15;
stepSizeSlit = (slitWidthMax - slitWidthMin) / (stepNumberSlit - 1);
efficiencies = zeros(stepNumberDepth, stepNumberSlit);
% loop for input variables
for i = 1:stepNumberDepth
    % current value of grating depth
    gratingDepth = gratingDepthMin +  (i-1) * stepSizeDepth;
    for j = 1:stepNumberSlit
        % current value of slit with
        slitWidth = slitWidthMin + (j-1)* stepSizeSlit;
        inputVariableValues = [gratingDepth, slitWidth];
        % call function
        outputFunctionValues = VLFBatchEvaluation(workingPath, inputVariables, inputVariableValues);
        % get the function value under investigation
        minusFirstEfficiency = outputFunctionValues(1);
        efficiencies(i,j) = minusFirstEfficiency;
    end
end
% plot
x = gratingDepthMin : stepSizeDepth : gratingDepthMax;
y = slitWidthMin : stepSizeSlit : slitWidthMax;
[X,Y] = meshgrid(y,x);
mesh(X,Y,efficiencies)
